#ifndef PBIO_H
#define PBIO_H

#include "cfortran.h"

void  pbOpen   (int *unit, const char *name, const char *mode, int *iret);
void  pbClose  (int  unit, int *iret);
void  pbRead   (int unit, void *buffer, int nbytes, int *iret);
void  pbWrite  (int unit, void *buffer, int nbytes, int *iret);
void  pbSeek   (int unit, int offset, int whence, int *iret);
void  pbSeek64 (int unit, LONGLONG offset, int whence, LONGLONG *iret);
void  pbTell   (int unit, int *iret);
void  pbFlush  (int unit);
void  pbSize   (int unit, int *plen);
void  pbGrib   (int unit, void *buffer, int inlen, int *outlen, int *iret);
void  pbSetRaw (int unit, int raw);

#endif  /* PBIO_H */
